List Events
Retrieves a list of [Event](#schema_event) you’ve previously created. The events are returned in sorted order, with the most recent appearing first.
Query Parameters
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Number of items to return per page (default 20, max 100)
Filter by event type
Filter by conversation id
Filter by user id
Filter by message id
Filter by workflow id
Filter by status. Allowed values: pending, ignored, processed, failed.
Value in
- "pending"
- "ignored"
- "processed"
- "failed"
- "scheduled"
Header Parameters
Bot id
Integration id
Integration alias
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/chat/events" \ -H "x-bot-id: string"{ "events": [ { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "conversationId": "stringstringstringstringstri", "userId": "stringstringstringstringstri", "messageId": "stringstringstringstringstri", "status": "pending", "failureReason": "string" } ], "meta": { "nextToken": "string" }}{ "events": [ { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "conversationId": "stringstringstringstringstri", "userId": "stringstringstringstringstri", "messageId": "stringstringstringstringstri", "status": "pending", "failureReason": "string" } ], "meta": { "nextToken": "string" }}List Conversations GET
Retrieves a list of [Conversation](#schema_conversation) you’ve previously created. The conversations are returned in sorted order, with the most recent appearing first. The list can be filtered using [Tags](#tags).
List Messages GET
Retrieves a list of [Message](#schema_message) you’ve previously created. The messages are returned in sorted order, with the most recent appearing first. The list can be filtered using [Tags](/docs/data/tags).